package com.dayou.mapper;

import com.dayou.entity.DyoaRecord;
import com.dayou.dao.CustomBaseMapper;
import com.dayou.entity.OrderFund;

import java.time.LocalDate;
import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 数据同步记录 Mapper 接口
 * </p>
 *
 * @author wucl
 * @since 2024-07-25
 */
public interface DyoaRecordMapper extends CustomBaseMapper<DyoaRecord> {

    Date getMaxOrderTime();

    Date getMaxPersonalTargetTime();

    Date getMaxRealAmountCreatedTime();

    Date getMaxClaimDate();

    List<DyoaRecord> selectOrderFundIdByDyoaOrderId();

    Date getMaxFinanceInvoiceCreatedTime();


}
